2017-10-19 1 views
1

J'ai tensorflow-gpu 1.2.1 et keras sur ubuntu 16.04.Impossible d'importer multi_gpu_model à partir de keras.utils

Je ne suis pas en mesure d'effectuer:

from kears.utils import multi_gpu_model 

Quelqu'un at-il eu du succès avec multi_gpu_model comme décrit dans la section FAQ de la documentation?

J'ai une machine 4 GPU avec 4 cartes GeForce GTX 1080 Ti et je veux les utiliser toutes.

est ici l'erreur que je reçois:

import keras.utils.multi_gpu_model 

--------------------------------------------------------------------------- 
ModuleNotFoundError      Traceback (most recent call last) 
<ipython-input-7-0174878249b1> in <module>() 
----> 1 import keras.utils.multi_gpu_model 
     2 

ModuleNotFoundError: No module named 'keras.utils.multi_gpu_model' 

Je peux importer keras et keras.utils avec succès.

+0

Il serait utile si vous avez fourni l'erreur que vous obtenez de cette ligne. – Jay

+0

------------------------------------------------- -------------------------- ImportError Traceback (dernier appel en dernier) en () ----> 1 de keras.utils import multi_gpu_model ImportError: impossible d'importer le nom 'multi_gpu_model' –

+1

Veuillez modifier la question avec cette nouvelle information (il y a un lien "modifier" sous la question) au lieu de la fournir dans les commentaires . Cela aidera les personnes qui peuvent répondre à cette question à trouver l'information plus rapidement. – Jay

Répondre

2

Cette fonction a été ajoutée le 11 octobre et aucune version de Keras ne l'inclut. Actuellement, la dernière version de Keras est la version 2.0.8 publiée le 25 août 2017.

Vos seules options sont d'attendre la publication d'une version ou d'utiliser une version Keras directement de git master.

+0

Merci à toi Matias. J'ai installé la dernière version de git et la fonction fonctionne comme un charme. –

2

Pour fermer ce numéro: J'ai installé la dernière version de Keras de github et a obtenu le module multi_gpu_model fonctionne comme prévu.

pip install git+git://github.com/fchollet/keras.git --upgrade